A CVS to Perforce converter
---------------------------

### Description

This CVS to Perforce converter extracts metadata from a CVS repository
and generates a Perforce depot by directly generating Perforce metadata.
The converter handles Attic/ and .cvsignore, and has flexible support
for branching. (See the and files for more info.)

NOTE: Perforce Software now supports a new CVS converter,
**p4convert-cvs**. For details, see the Perforce web site
[here](http://www.perforce.com/product/components/migrating_perforce_existing_scm_systems#CVS).
The CVS2P4 converter is *not supported* by Perforce Technical Support.
Nonetheless, the folks at Perforce Technical Support remain huge fans of
Richard Geiger for his CVS2P4 and other contributions.

### Notes

-   Make sure that all files in your CVS repository are unlocked before
    starting the conversion; the converter may have trouble importing
    locked files.

{{ RecentChanges | //public/perforce/utils/cvs2p4/... }}

### Variants

{{\#p4variants://public/perforce/utils/cvs2p4/...}}

### License

Copyright (c) 2006 Richard M. Geiger

Permission is hereby granted, free of charge, to any person obtaining a
copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be included
in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

[Category:Perforce conversion
tools](Category:Perforce_conversion_tools "wikilink")
