### Extending P4V

-   [P4V javascript
    manual](http://www.perforce.com/perforce/doc.current/manuals/p4jsapi/01_p4jsapi.html)
-   [P4V javascript sample
    code](http://swarm.workshop.perforce.com/files/public/perforce/p4jsapi/examples)
-   [Custom tools
    documentation](http://www.perforce.com/perforce/doc.current/manuals/p4v/custom_tools.html)
-   [Simple example custom tool to create a P4Web link to a depot
    file](https://plus.google.com/108095999024299214978/posts/JgDNjDpXuAk)

#### To Use JavaScript extensions locally without a server defined central settings file

1.  Find your P4V preferences
    -   On OS X this will be in \~/Library/Preferences/com.perforce.p4v
    -   On Windows this will be the .p4qt directory in your user folder

2.  Open ApplicationSettings.xml and add:

    :   <String varName="DefaultCentralSettings"><file:///path/to/your/local/central/settings/file></String>
    :   as a child of:
    :   <PropertyList varName="ApplicationSettings" IsManaged="TRUE">

3.  Enable applets from the P4V preferences
4.  Create your central settings file in the location you specified with
    the desired content
5.  Restart P4V

### Extending Swarm

-   [Swarm extension sample code and development
    environment](http://swarm.workshop.perforce.com/projects/matt-attaway-swarm-demo-extensions/files/main)
-   [Swarm hotkey extension by Allan
    Yu](http://www.perforce.com/blog/130924/swarm-hotkeys-hurry)
-   [Swarm product tour extension by Allan
    Yu](http://swarm.workshop.perforce.com/files/guest/allan_yu/swarm_product_tour)
-   [Generating events in the Swarm activity
    feed](http://www.perforce.com/blog/130613/hack-hive-perforce-swarm)

