{{ Project | Monthly Stats |

`  curator  = Sam Stafford                                            |`\
`  path     = //guest/sam_stafford/mediawiki/             |`\
`  download = //guest/sam_stafford/mediawiki/extensions/MonthlyStats/ |`\
`  language = PHP                                                     |`\
`  license  = GPL                                                     }}`

### About This Project

The Monthly Stats MediaWiki extension adds a new special page,
<Special:MonthlyStats>, that contains charts showing month-by-month
contribution statistics.

If the \$wgP4EXEC, \$wgP4PORT, \$wgP4WEBURL, etc variables are defined
(as for the [Perforce MediaWiki
extension](Perforce_MediaWiki_extension "wikilink")), the same
information will be shown for Perforce changelist submissions.

#### Notes

-   The charts are drawn by the [Google Chart
    API](http://code.google.com/apis/chart/). The server doesn't need to
    have any special software installed to make this work, since the
    images are served up by Google, but users will need to be able to
    connect to google.com.

<!-- -->

-   Per-user information will be displayed in the bar charts if it's
    possible to fit it into a URL of less than 2048 characters. If not,
    the bar chart will just show the totals for all users.

<!-- -->

-   The default timespan shown on the bar chart is one year. Any span
    from one to ten years can be shown by adding the number of years to
    the page URL, e.g. <Special:MonthlyStats/2>.

{{ License | GPL | 2009 | Sam Stafford }}

{{ RecentChanges |
//guest/sam\_stafford/mediawiki/extensions/MonthlyStats/ }}

{{ Sam Stafford }}

[Category:MediaWiki
extensions](Category:MediaWiki_extensions "wikilink")
[Category:MediaWiki-Perforce
integrations](Category:MediaWiki-Perforce_integrations "wikilink")
