### About This Project

P4VsPackage is a lightweight perforce integration for Visual Studio
2008. It should also work on any newer versions. It was inspired by Noel
Llopis's p4 addin, also available in the depot. P4VsPackage takes the
add-in further by making it a full Visual Studio SDK Package, which
allows it to hook more events. This makes it more effective at handling
renames, for example.

The package includes the signing key and the package load key so that it
can be installed on machines without the VS SDK.

A compiled setup package - debug build - is available by clicking in the
info box to the right.

### License

    /// (c) 2007 James A Briant 
    /// 
    /// Permission is granted to use or modify this source code provided that
    /// a) this notice is kept intact
    /// b) if you make any modications to this file you assign the
    ///    copyright of those modifications to James Briant.
    /// c) you acknowledge that Mr. Briant offers no warranty
    ///    and will not be liable for any loss, damages, time, etc.
    /// 
    /// Any doubt, email me: firstname (nospace) lastname at persuasivesoftware.com
    /// 
    /// This package is inspired by Noel Llopis's P4AddIn (also available from
    /// the perforce public depot), and also a similar package that I developed
    /// at Bunkspeed, Inc ( www.bunkspeed.com ) makers of real-time raytracing
    /// tools that anyone can use.

{{ RecentChanges | //guest/james\_briant/P4VsPackage/ }}

[Category:Perforce
integrations](Category:Perforce_integrations "wikilink")
