{{ Project | p4jtail |

`  curator  = Perforce Software                   |`\
`  path     = //public/perforce/p4jtail/          |`\
`  download =  |`\
`  language = C/C++                |`\
`  license  = BSD                                 }}`

### Introduction

p4jtail is a utility for replicating Perforce metadata. This utility
maintains transactional integrity while reading transactions out of an
originating server and copying them into a replica server's database.

### Support Status

The p4jtail utility is currently unsupported. The source code is
provided in the hope that it will be useful to Perforce customers.
Despite its unsupported status, customers can obtain assistance and
advice on the p4jtail utility from support@perforce.com.

### Compatibility

The p4jtail utility requires Perforce Server version 2009.2 for both the
master and replica servers. 

The p4jtail utility must be built using the 2009.2 Perforce C++ API.

### Build and Use

Instructions for building p4jtail from source, as well as examples of 
its use, can be found in [Perforce Knowledge Base article
\#1099](http://kb.perforce.com/?article=1099).

### Known Issues

If the server that p4jtail is replicating is shutdown or crashes,
p4jtail might need to be manually restarted.

{{ License | BSD | 2009 | Perforce Software }}

{{ RecentChanges | //public/perforce/p4jtail/ }}

[Category:Perforce administrative
tools](Category:Perforce_administrative_tools "wikilink")
