A PVCS Professional to Perforce Migration
-----------------------------------------

### About This Project

#### Content

-   -   

Source and documentation for PVCSToP4 scripts - Perl scripts to migrate
a repository from Serena's PVCS® Professional into Perforce.

This set of Perl scripts converts PVCS® archives to Perforce, preserving
the original times and authors. Branches are translated verbatim,
individual file revisions are grouped as much as possible into
Perforce's notion of atomic changes.

Requires Perl 5.8, PVCS® 7.x (command line) or later and Perforce 2002.1
or later. The scripts only run on Windows (read values from Registry).

The newest (fastest) version requires PCLI to be installed (PVCS®
Command Line Interface). This is not usually installed by default.

Basic Files required to download are (see for more info):

-   [ActiveState
    Perl](http://www.activestate.com/Products/Download/Register.plex?id=ActivePerl)
    (5.8 required - due to P4Perl dependency)
-   *(source files for conversion)*

-   [P4Perl 2008.2 - required interface to P4 from
    Perl](ftp://ftp.perforce.com/perforce/r08.2/bin.ntx86/p4perl58.exe) -
    newer versions of P4Perl can't be used without updates to
    the scripts.

If you have an old version of PVCS® (prior to 6.5) or you can't get PCLI
installed, then please use this older version of the scripts (not so
well tested!!):

-   [ActiveState
    Perl](http://www.activestate.com/Products/Download/Register.plex?id=ActivePerl)
    (5.8 required)
-   **(source files for conversion)**

-   See embedded readme for version of P4Perl

These scripts are not fully supported - but feel free to contact Robert
Cowham (robert at vizim.com).

#### Details

Checkout the file. All files are downloadable from the Public Depot via
links above, or using any other Perforce client.

#### Updated

See the file.

\_\_NOTOC\_\_

[Category:Perforce conversion
tools](Category:Perforce_conversion_tools "wikilink") <Category:Perl>
