\_\_NOTOC\_\_

### About This Project

#### Content

The Perforce Defect Tracking Integration (P4DTI) connects your defect
tracking system to Perforce, so that you don't have to switch between
them and enter duplicate information about your work. It also links
changes made in Perforce with defect tracker issues, making it easy to
find out why a change was made, find the work that was done to resolve
an issue, or generate reports relating issues to files or codelines.

Please see the file for supported defect trackers and platforms, support
information and fixed issues. See the file for installation
instructions.

NOTE: The latest Bugzilla release that P4DTI supports is Bugzilla 3.0.8.
If using a later version of Bugzilla, please see the Perforce Defect
Tracking Gateway
[1](http://www.perforce.com/product/components/defect_tracking_gateway)
(P4DTG) which supports later releases of Bugzilla.

### Downloads

-   -- installation instructions

-   -- supported defect trackers and platforms, what's new and what's
    changed

-   -- Bugzilla integration (Red Hat Linux)

-   -- Bugzilla integration (any Unix)

-   -- Bugzilla integration (Windows 2000)

### Documentation

Full documentation is included with the P4DTI distribution. The
documentation is also available here in the Perforce Public Depot for
easy browsing.

-   P4DTI
-   P4DTI
-   P4DTI

### The Integration Kit

The P4DTI is open source, and a documented integration kit is available
for those who want to adapt the software for their own needs or extend
it to do new things. The kit includes sources, design documents, the
P4DTI Integrator's Guide, and build procedures.

-   -   

The P4DTI Integrator's Guide is also available here in the Perforce
Public Depot for easy browsing.

-   P4DTI

### Project Background

The P4DTI was developed between 2000-02 and 2001-03 by [Ravenbrook
Limited](http://www.ravenbrook.com/) as an open project. All of the
project reports, plans, designs, source code, and other documents are
visible at the project web site at
<http://www.ravenbrook.com/project/p4dti/>. The product is still
maintained there.

<Category:Python> [Category:Perforce
integrations](Category:Perforce_integrations "wikilink")
