{{ Project | Perforce Quick Look |

`  curator  = Matt Attaway                           |`\
`  path     = //guest/matt_attaway/p4quicklook/          |`\
`  download = //guest/matt_attaway/p4quicklook/|`\
`  language = Shell                |`\
`  license  = BSD     }}`

### About This Project

Perforce Quick Look makes it fast and easy to look up Perforce data in
P4Web from any application on OS X. Just highlight a job or change
number and press a hotkey to instantly bring up the full details of it.

### Supported Platforms

-   OS X Lion and OS X Snow Leopard

### To Install

-   Verify that you have the Perforce command line installed in
    /usr/local/bin

<!-- -->

-   Download "Perforce Quick Look.zip". OS X will automatically expand
    it for you.

<!-- -->

-   With OS X Lion/Mountain Lion:
    -   Double click the "Perforce Quick Look" workflow in this folder &
        select "Install" from the resulting dialog

<!-- -->

-   With OS X Snow Leopard:
    -   From Finder press Shift+Command+G and enter \~/Library in the
        resulting dialog. Press "Go".
    -   In Library create a folder named Services if it doesn't already
        exist
    -   Drag "Perforce Quick Look" into the Services folder

### Modify Settings

To change the P4Web and Perforce server that are used, open "Perforce
Quick Look" in the Automator tool. By default it will be installed in
\~/Library/Services. Double clicking "Perforce Quick Look" will launch
Automator. The following variables must be set in this order:

1\) URL to P4Web

2\) Perforce server address

3\) Path to p4 executable

4\) The Perforce user to use

5\) The browser to use

### Configure a Key Binding

-   Go to Apple | System Preferences | Keyboard
-   Select Services on the left hand side
-   Find "Perforce Quick Look" on the right hand side
-   Click to far to the right of "Perforce Quick Look" to set a
    keyboard shortcut.

**You will need to restart open applications for them to discover the
"Perforce Quick Look" service.**

### To Use

In any application select text containing any of the following:

-   Change number
-   Job
-   Label name
-   Branch name
-   Client name
-   Depot path to a file or depot path ending in '...'

Press the keyboard shortcut you configured. The selected object will be
shown in P4Web in Safari.

Example: A co-worker IMs you a job number to review. Select the text and
then use your keyboard shortcut to view the job in P4Web.

{{ License | BSD | 2012 | Matthew Attaway }}

{{ RecentChanges | //guest/matt\_attaway/p4quicklook/ }}

<Category:Perforce> [Category:OS X](Category:OS_X "wikilink")
