{{ Project | Perforce Server Backup Scripts |

`  curator  = Philip Kania                           |`\
`  path     = //guest/philip_kania/AdminScripts/         |`\
`  download = //guest/philip_kania/AdminScripts/ |`\
`  language = bash, cmd, css, javascript, powershell, xslt |`\
`  license  = MIT                                 }}`

### About This Project

This project contains a pair of scripts I have written that implement
the same Perforce server backup procedure. One
([PerforceBackupProcedureLibrary.bat](http://swarm.workshop.perforce.com/guest/philip_kania/AdminScripts/PerforceBackupProcedureLibrary.bat))
is intended for use with Microsoft Windows. The other
([PerforceBackupProcedureLibrary](http://swarm.workshop.perforce.com/guest/philip_kania/AdminScripts/PerforceBackupProcedureLibrary))
is intended for use with Unix based systems (including Mac OS X). These
scripts perform the essential steps needed to backup a Perforce server.
They save their output in XML format which can be easily consumed by
other programs.

[XSLT](http://swarm.workshop.perforce.com/files/guest/philip_kania/AdminScripts/PerforceBackupProcedureHTML.xsl)
and
[CSS](http://swarm.workshop.perforce.com/files/guest/philip_kania/AdminScripts/PerforceBackupProcedure.css)
style sheets are provided for displaying the backup procedure results as
HTML. A
[PowerShell](http://swarm.workshop.perforce.com/files/guest/philip_kania/AdminScripts/PerforceBackupProcedureRSS.ps1)
script is provided provided for generating an RSS feed of the backup
procedure results on Microsoft Windows systems. Unix users can use the
[bash](http://swarm.workshop.perforce.com/files/guest/philip_kania/AdminScripts/PerforceBackupProcedureRSS)
script for doing the same thing. Both of these scripts use an
[XSLT](http://swarm.workshop.perforce.com/files/guest/philip_kania/AdminScripts/PerforceBackupProcedureRSS.xsl4)
style sheet when generating the RSS feed.

{{ License | MIT | 2009 | Exemplics LLC }}

### License

    Copyright (c) 2009 Exemplics LLC

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the "Software"), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in
    all copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
    THE SOFTWARE.

{{ RecentChanges | //guest/philip\_kania/AdminScripts/ }}

[Category:Perforce administrative
tools](Category:Perforce_administrative_tools "wikilink")
[Category:Perforce web
interfaces](Category:Perforce_web_interfaces "wikilink")
