{{ Project | ProxyFill |

`  curator  = Nick Poole                           |`\
`  path     = //guest/nick_poole/scripts/          |`\
`  download = //guest/nick_poole/scripts/proxyfill.py |`\
`  language = Python                |`\
`  license  = PPL                                 }}`

### About This Project

ProxyFill is a simple Python script for propagating a Perforce Proxy
Server's cache. The script propagates the cache by syncing through each
changelist recursively.

### Usage

To use the script, just edit to values in the settings section and then
run it.

A couple of notes:

-   The user specified must have a client spec view which maps all of
    the desired paths/depots and must have at least have "read"
    permissions for all of the view.
-   If the target Perforce Server has remote depots, they will also be
    synced (unless removed from the client view); however, if there are
    more changeslists in the remote depots than on the target Perforce
    Server, the extra changelists will not be synced.

### Possible Enhancements

-   Configurable restricted views
-   Some way of remembering which changelist was last synced. This would
    allow ProxyFill to be used as a cron job, bringing the Perforce
    Proxy Server's cache up-to-date on a nightly basis.

### License

{{ RecentChanges | //guest/nick\_poole/scripts/proxyfill.py }}

[Category:Perforce administrative
tools](Category:Perforce_administrative_tools "wikilink")
