#!/bin/sh"
for f in \
"Aegis Wrapper for Perforce" "All Project Categories" "All Projects"                      \
"Analysis of history" "AuthP4 (MediaWiki authentication plugin)" "BIRT Reports"           \
"C4" "CALAMARI" "CVS2P4"                                                                  \
"Dbmodelize" "DeepAnnotate" "Deepimport.pl"                                               \
"Dpbackup" "Emacs Merge" "Emacs VC-P4"                                                    \
"Enhanced Jobs" "Fix Line Ending Translation" "Frequently Asked Questions"                \
"Genesaver" "Hacking Perforce" "How to Browse"                                            \
"How to Contribute" "JBuilder-Perforce Opentool Integration" "JBuilder5VCS"               \
"Jam" "Jobmerge.rb" "JoinCheck"                                                           \
"Jumpstart for Git Fusion" "Main Page" "MiniSvn2P4"                                       \
"Monthly Stats" "Multithreaded Weekly Distributed Depot Verify" "Myp4"                    \
"Overlaps" "P4.net" "P4API For Java"                                                      \
"P4COM" "P4DB" "P4HL"                                                                     \
"P4Notifyd" "P4OO.py" "P4Pythonlib"                                                       \
"P4Review" "P4Review2" "P4V Changes Search"                                               \
"P4VsPackage" "P4Win" "P4Wrapper"                                                         \
"P4 Shelve" "P4bugzilla" "P4dctl"                                                         \
"P4jrep" "P4jtail" "P4rollback.pl"                                                        \
"P4rubylib" "P4tar" "P5"                                                                  \
"PDWiki:About" "PDWiki:Administrators" "PDWiki:Bureaucrats"                               \
"PDWiki:Copyrights" "PDWiki:General disclaimer" "PDWiki:License"                          \
"PDWiki:Policy" "PDWiki:Privacy policy" "PVCSToP4"                                        \
"Perfbrowse" "Perforce Command Line Recipes" "Perforce Defect Tracking Integration"       \
"Perforce Fuse Implementations" "Perforce JSP" "Perforce Java API"                        \
"Perforce Java Reviewer" "Perforce MediaWiki extension" "Perforce Quick Look"             \
"Perforce Server Backup Scripts" "Perforce XML Server" "Pre-Submit Trigger Examples"      \
"Protexp.pl" "ProxyFill" "Px"                                                             \
"Registration" "Rollback" "SQUID"                                                         \
"SVN2P4" "Scenesaver" "Swarm Demo Extensions"                                             \
"Swarm Hacking Documentation" "Track2SQL" "Using Categories"                              \
"Using Parser Functions" "Using Templates" "VSSToP4"                                      \
"WebKeeper" "WebThumb" "Welcome to the Perforce Workshop"; do
    ff=`echo "$f"|sed 's| |_|g'`
    curl -o mediawiki/"$ff".txt "http://wiki.workshop.perforce.com/mediawiki/index.php?title=$ff&action=raw"
    pandoc -f mediawiki -t markdown -o markdown/"$ff".md mediawiki/"$ff".txt
done
