# p4util - your Perforce scripting toolkit

## Intro

This is a collection of Python scripts that may enhance your Perforce experience.

To run individual scripts, run:

    python -m p4util.script


## Install

### From PyPI

	pip install p4util


### From Source

- Sync //guest/lester_cheung/p4util/... to your workspace.

- Run ```python setup.py install```


## Develop

- Sync //guest/lester_cheung/p4util/... to your workspace.

- Run ```python setup.py develop```

This will install the package that points to your workspace using symlinks so you can test your changes without re-installing.


## Reporting Bugs

Bug reports can be filed in [the Perorce Workshop][p4util_jobs].


## Credits

* Sven (sven_erik_knop) - for his P4Pythonlib (//guest/sven_erik_knop/P4Pythonlib) and P4Python.


[p4util_jobs]: https://swarm.workshop.perforce.com/projects/p4util/jobs/
