Aegis-like wrappers to p4
-------------------------

### Description

The purpose of these wrappers is to implement a particular development
process on top of the generic p4 services. This process is an adaptation
of the process enforced by aegis. Aegis is a free software available on
the net, and is much more robust and complete then this set of wrappers.
If you develop on UNIX platforms and you can use NFS to link the
developer's workstations, you should probably use aegis. A deliberate
design choice made when implementing these wrappers was not to attempt
any form of co-existance with other practices. This allowed the wrappers
to rely on a particular structuring of the depot, thereby allowing
better protection schemes and higher-level baviour. As a result, the
wrappers completely replace the built-in p4 interface, with a few
notable exceptions which will be listed below.

The wrappers are implemented in perl and as such are rather portable.
However, they invoke a few external programs (such as cp, rm and mkdir).
While the access to these programs is isolated, it is not exactly
trivial to port the system to DOS, for example. However, you can obtain
all the necessary programs (including a shell) as free software from GNU
project or as commercial software (from MKS, for example).

### License

See

[Category:Perforce wrappers](Category:Perforce_wrappers "wikilink")
