Introduction
------------

Here are a set of scripts and triggers written in P4Python.

All of these scripts require you to install
[Python](http://www.python.org) and
[P4Python](ftp://ftp.perforce.com/perforce)

Support
-------

If you have any problems or questions with these scripts you can contact
me at <sknop@perforce.com>. These scripts are not supported by Perforce
Software, but by me personally. I'll answer questions as quickly as I
can.

Triggers
--------

These are some example trigger scripts. The documentation for all of
these scripts will be available
[here](http://public.perforce.com/guest/sven_erik_knop/perforce/P4Pythonlib/triggers/doc/index.html).

  Common Files
  ----------------------------------------------------------------------------------------------------------------------------- ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
  [P4Triggers.py](http://public.perforce.com/guest/sven_erik_knop/P4Pythonlib/triggers/P4Triggers.py)
  [CheckCaseTrigger.py](http://public.perforce.com/guest/sven_erik_knop/P4Pythonlib/triggers/CheckCaseTrigger.py)
  [ChangeTypeCheckTrigger.py](http://public.perforce.com/guest/sven_erik_knop/P4Pythonlib/triggers/ChangeTypeCheckTrigger.py)

General Purpose Scripts
-----------------------

These are some useful non-trigger scripts

  ---------------------------------------------------------------------------------------------------------- ------------------------------------------------------------------------------------------------------
  [ClientChecker.py](http://public.perforce.com/guest/sven_erik_knop/P4Pythonlib/scripts/ClientChecker.py)   A script to print out all clients with their age and the amount of storage they waste on the server.
  [SplitVerify.py](http://public.perforce.com/guest/sven_erik_knop/P4Pythonlib/scripts/SplitVerify.py)       A simple script to split the verify into several stages.
  ---------------------------------------------------------------------------------------------------------- ------------------------------------------------------------------------------------------------------

Additional Information
----------------------

[Category:Perforce administrative
tools](Category:Perforce_administrative_tools "wikilink")
[Category:Perforce APIs](Category:Perforce_APIs "wikilink")
<Category:Python>
