Perforce review daemon
----------------------

### Description

A Perforce submitted changes notification daemon written in Python, for
use on Windows or Unix; can run in the background or via cron; allows
users to subscribe to notifications about jobs (as well as changes); can
notify admin about bad email addresses.

This script supports Python version 2.5 and above. For earlier versions
of Python, use revision \#4.

Note that Python version 3.2 has a [bug in
smtplib](http://bugs.python.org/issue11837) which may cause errors in
p4review.py.

For more information on review daemons, see [The Perforce System
Administrator's
Guide](http://www.perforce.com/perforce/doc.current/manuals/p4sag/06_scripting.html#1038298).

### Download

See the change history and download the latest p4review.py version
[here](https://swarm.workshop.perforce.com/view/guest/lester_cheung/p4review/p4review.py).

### Curator

At this time, curatorship of this project is shared by Perforce staff.
Please email <opensource@perforce.com> if you have submitted
contributions you'd like published.

### Variants

-   -- A complete rewrite of the original review daemon - with fixes and
    lots of enhacement!

-   -- Can be used as a change-commit trigger and does not use a server
    counter to track its state.

-   -- Places first line of change description in review email subject.

-   -- Places common path of affected files in review email subject.

[Category:Perforce review
tools](Category:Perforce_review_tools "wikilink")
