Converts Subversion to Perforce
-------------------------------

### Description

svn2p4 is a Subversion (SVN) to Perforce (P4) migration tool. It is
suitable for migrating SVN repositories of arbitrary size and
complexity.

svn2p4 is a single Perl script that contains both configuration data and
actual code. In its basic mode, the tool unconditionally migrates an
entire SVN repository to P4, begginning with revison 1. Several advanced
features are also supported to optimize overall migration time and
performance. These include

-   Pre-migration analysis of SVN revision log to identify redundant
    nodes (branches, tags) that can be skipped during the migration.
-   Skipping certain revisions that are added to the tool's
    exclude list.
-   Supporting different SVN tag migration modes (migrate tags as p4
    branches or as p4 labels).
-   Limited support for re-mapping repository contents during
    the migration.

[Category:Perforce conversion
tools](Category:Perforce_conversion_tools "wikilink")
