{{ Project | WebThumb |

` curator  = Sam Stafford                             |`\
` path     = //guest/sam_stafford/webthumb/           |`\
` download = //guest/sam_stafford/webthumb/bin.ntx86/ |`\
` language = C/C++                                    |`\
` license  = BSD                                      }}`

### About This Project

WebThumb is a command line utility that uses a simple markup language to
generate bare-bones HTML image galleries. It was written to simplify the
process of taking a directory full of vacation photos and creating a web
page with thumbnail links.

### Usage

To use WebThumb:

1.  Create a file called **webthumb.txt** and place it in the directory
    with your image files.
2.  Copy and paste a list of the image files into the
    **webthumb.txt** file.
3.  Put a line at the top with the text **\\output=index.html**, or
    whatever file you want the HTML to go to.
4.  (optional) Type descriptions after the image file names.
5.  (optional) Add additional configuration settings after
    **\\output=...** (see below).
6.  Run **webthumb**.
7.  Uploading the resulting HTML, source images, and **thumbs/**
    directory to your web server.

Configuration settings are listed by **webthumb -h**:

`% webthumb -h`\
\
`Usage: webthumb [input file]`\
`Input file defaults to webthumb.txt.`\
`Syntax for input file:`\
`--------------------------`\
`IMAGE Image Caption : thumbnail IMAGE with caption 'Image Caption'`\
`--------------------------`\
`#`<insert html here>` : pass html straight through to output file`\
`--------------------------`\
`\variable=value     : set configuration variable`\
` output=FILE (specifies HTML file to write to, default stdout)`\
` height=NUM  (specifies max height of thumbnails, default 200)`\
` width=NUM   (specifies max width of thumbnails, default 200)`\
` columns=NUM (specifies number of columns in table, default off)`\
` spacing=NUM (specifies space in pixels between thumbnails)`\
` quality=NUM (specifies thumbnail quality on a scale of 0-100)`\
` padthumbs   (pads all thumbnails to max height and width)`\
` padbgcol=C  (uses HTML color C as background for padded thumbnails`\
` imgattrib=A (inserts string A into image tags, i.e. `<img A ...>\
` link=URL    (redirects next link to URL instead of source image)`\
` captions    (places captions under each image [requires columns])`

<Category:Web/Internet>
